Drawdown response
API reference
In November 2027, the Fedwire Funds Service will remove the fully unstructured postal address option in favor of a single hybrid postal address format. All parties (intermediaryFi, beneficiaryFi, beneficiary, originator) across all message types must transition from free-text address lines (address1, address2, address3) to a new postalAddress object with mandatory adrLine1, country and city fields.
In advance of the Fedwire enforcement date, all partners must use the new postalAddress structure in production no later than October 2027. Messages sent in the old format after this date will be rejected.
Responds to a wires drawdown request by sending payment.
Endpoint: /wires/v1/payments/{id}/drawdown-responses
POST
https://sandbox.crbcos.com/wires/v1/payments/{id}/drawdown-responses
curl -L 'https://sandbox.crbcos.com/wires/v1/payments/61c194b3-6405-4b7f-bd81-b30c00e05637/drawdown-responses' ^
-H 'Content-Type: application/json' ^
-H 'Authorization: Bearer token' ^
-d '{
"originator": {
"idCode": "D",
"identifier": "2955057589",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string"
}'Validation Rules
- Originator BIC Format
- If the Originator Id Code is "B" (SWIFT BIC Code) and the Identifier is not in valid BIC format, the request will be rejected.
- Error Message: OriginatorIdentifier is not a valid BIC.
Default Values
- Beneficiary FI (if not provided in original DRC)
- Derived from the Receiver Routing Number:
- ID Code: "F"
- Identifier: Receiver’s routing number
- Name: Receiver’s customer name
- Address1: Receiver’s city and state
- Originator FI (if not provided in original DRC)
- Derived from the Sender Routing Number:
- ID Code: "F"
- Identifier: Sender’s routing number
- Name: Sender’s customer name
- Address1: Sender’s city and state